fs whereis                 AFS Commands              fs whereis


NAME

   fs whereis -- report name of file server machine(s) housing

                       specified file/directory.


                                     +
   fs whereis  [-path <dir/file path> ]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

                              +
   fs whe  [-p <dir/file path> ]  [-h]

DESCRIPTION

   Returns the name of the file server machines that house each
   specified  directory  or file.  See the OUTPUT section for a
   description of the information displayed.

ARGUMENTS

   -path specifies each file or directory whose location is  to
         be  returned.    Each specified file or directory must
         reside in AFS (not on a local disk).   If  the  issuer
         omits  this  argument,  the  location  of  the working
         directory is returned.

   -help prints the online help entry for this command.  Do not
         provide  any  other  arguments or flags with this one.
         See section 3.1  in  the  Reference  Manual  for  more
         details.

OUTPUT

   The  output  includes a line for each specified directory or
   file.  It names the file server machine on which the  volume
   that houses the specified directory or file resides.  A list
   of multiple machines indicates that the directory or file is
   in a replicated volume.

   Machine  names  usually  have a suffix indicating their cell
   membership.  If some  question  remains,  the  fs  whichcell
   command names the cell in which a directory or file resides.

EXAMPLES

   The following indicates that the directory /afs/transarc.com
   resides   in   a   replicated   volume   located   on   both
   fs1.transarc.com and fs3.transarc.com:

   % fs whe /afs/transarc.com  File /afs/transarc.com is on
   hosts fs1.transarc.com     fs3.transarc.com



PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   fs whichcell

   fs wscell
